
I was in my friend's kitchen and my spirit jumped out of my body in an upwards motion. I ended up becoming a blue orb or an energy ball that was electric-blue in color. There was a buzzing sensation or a humming, almost exactly like what the Buddhist monks chant when they chant OM or AUM, which is the sound of God to them.

Then I blacked out and was found wandering the next day in a different city and taken to the hospital. I remember bits of the time in between, but I seriously thought I was dead. I must say that I might have smoked a couple puffs of a joint at the time but it was not out of the ordinary for me at that time. Then after two weeks in the hospital, it happened again. But this time, I willingly left and rose above my body 2.5 feet, got scared, and went back into my body.

Ever since these experiences, I have had many paranormal experiences where I feel like I have been on the cusp of both worlds. I have even had spirits visit me. From what I have researched, there are monks that can leave their bodies and fly around at will. I have taken precautions to not sleep too deeply so I don't leave my body again. However, I do believe that I have left a few times and gone through walls while my body slept even though my consciousness did not. At the time of my OBE, I did not believe in God. But now I am a spiritual freak, wanting to be as close to God as possible. I do not think I was going to heaven before but now I hope I am because I have been a good person and prayed to God for forgiveness.
